---
title: Information Publicizing and Blogging
---
In the early days of the World Wide Web, it was known as the &ldquo;information superhighway.&rdquo; From its inception, the web&rsquo;s primary goal is information. The open nature of the Internet allows anyone, anywhere to say anything, provided they can connect a machine to the network. In fact, there are software products to handle everything except creating the content; all you have to bring is the ability to form a coherent thought, and type that thought into a box. [WordPress](https://wordpress.org "WordPress") is one of the most popular <abbr title="Web Log">blog</abbr>ging platforms in use today; it allows authors to concentrate on the content of their websites, rather than forcing authors to turn into programmers.

## Custom-Built Sites

- We developed and maintained the site for [Emerald Mountain Christian School](http://www.emeraldmountainchristianschool.org)<small> (<nuxt-link to="/solutions/emerald-mountain-christian-school" title="Emerald Mountain Christian School &bull; Bit Badger Solutions">about</nuxt-link>)</small> for 9 years, where they had information about the type of curriculum they teach, the school&rsquo;s 40+-year history, a calendar of events, and how to get more information.
- We built and maintained the site for [Photography by Michelle](https://www.summershome.org)<small> (<nuxt-link to="/solutions/photography-by-michelle" title="Photography by Michelle &bull; Bit Badger Solutions">about</nuxt-link>)</small>, which had information, prices, and samples of the photographer&rsquo;s work, as well as the ability for customers to view proofs and make photo selections online.
- The site for [Bay Vista Baptist Church](https://bayvista.org "Bay Vista Baptist Church")<small> (<nuxt-link to="/solutions/bay-vista" title="Bay Vista Baptist Church &bull; Bit Badger Solutions">about</nuxt-link>)</small> utilizes a &ldquo;static site generator,&rdquo; where the entire site is generated from source files, then served. It requires no back-end database, which means that the server can send pages as fast as its clients can take them. This site even has a generated podcast feed! Adding content to these types of sites requires a bit more technical knowledge beyond &ldquo;typing text in a box,&rdquo; but it is a great way to build ultra-fast, scalable web sites.
- This site is also a statically-generated site, utilizing the [Nuxt](https://nuxtjs.org) project for the [Vue.js](https://vuejs.org) JavaScript framework. Using Nuxt&rsquo;s content plugin, the majority of pages are written in Markdown (a very writing-friendly format). We can include data at the top of each file that controls how it is displayed; this gives us both the flexibility of a database and the speed of not actually having one! (It&rsquo;s [open source](https://github.com/bit-badger/bitbadger.solutions) if you want to see how we did it.)

## WordPress Design, Customization, and Support

- For [Futility Closet](https://www.futilitycloset.com "Futility Closet")<small> (<nuxt-link to="/solutions/futility-closet" title="Futility Closet &bull; Bit Badger Solutions">about</nuxt-link>)</small>, we moved their site from a shared hosting platform to its own <abbr title="Virtual Private Server">VPS</abbr>, securing it from intrusion attempts and enabling it to handle its ever-increasing traffic.
- We took over [Mindy Mackenzie](https://mindymackenzie.com "Mindy Mackenzie")<small> (<nuxt-link to="/solutions/mindy-mackenzie" title="Mindy Mackenzie &bull; Bit Badger Solutions">about</nuxt-link>)</small> in advance of the release of her eventual _<abbr title="Wall Street Journal">WSJ</abbr>_ best-selling book _The Courage Solution_, and continue to support her as she hosts the annual _You First Integrative Leadership Summit_.
- We helped <nuxt-link to="/solutions/cassy-fiano" title="Cassy Fiano &bull; Bit Badger Solutions">Cassy Fiano</nuxt-link> and <nuxt-link to="/solutions/dr-melissa-clouthier" title="Dr. Melissa Clouthier &bull; Bit Badger Solutions">Dr. Melissa Clouthier</nuxt-link> both move their blogs from Blogspot to their own domains.
- We migrated <nuxt-link to="/solutions/liberty-pundits" title="Liberty Pundits &bull; Bit Badger Solutions">Liberty Pundits</nuxt-link> from a custom blog platform to WordPress, and set up and maintained their server, which routinely cleared 100,000 hits per day in its prime.
- <nuxt-link to="/solutions/tcms" title="The Clearinghouse Management System (TCMS) &bull; Bit Badger Solutions">TCMS</nuxt-link> and <nuxt-link to="/solutions/nsx" title="NSXapp &bull; Bit Badger Solutions">NSXapp</nuxt-link> both used WordPress as their front end, which also provided a public web presence that the customers could update themselves.

On _[The Bit Badger Blog](https://blog.bitbadger.solutions "The Bit Badger Blog")_ you can browse the [WordPress](https://blog.bitbadger.solutions/category/wordpress "WordPress &bull; The Bit Badger Blog") category for information on plug-ins, and we have supported theme customizations for nearly all of the WordPress sites linked on the sidebar/footer of the home page.
