---
title: Process Automation and User Engagement
---
Computers can be used to augment or automate nearly any process; could you think of generating bank statements, processing mailing lists, or tracking orders without some form of automation? We develop web-based solutions to automate _your_ processes, ensuring that your business constraints are satisfied; these systems can run on the Internet or your private network. For Internet-facing solutions, we engineer solutions that allow them to interact with you securely, presented in an engaging manner. And, by &ldquo;engagement,&rdquo; we are not describing intrusive page pop-ups and other <span class="strike">marketing gimmicks</span> web annoyances; we determine an optimal user experience for _your_ customers, and tailor the solution to work for both of you.

Several of our solutions fit this description.

- <nuxt-link to="/solutions/virtual-prayer-room" title="Virtual Prayer Room &bull; Bit Badger Solutions">Virtual Prayer Room</nuxt-link> helped the prayer ministry of [Hoffmantown Church](https://www.hoffmantownchurch.org "Hoffmantown Church &bull; Albuquerque, New Mexico") enable their prayer warriors to have access to requests wherever they are, even in their inbox once a day!
- <nuxt-link to="/solutions/tcms" title="The Clearinghouse Management System (TCMS) &bull; Bit Badger Solutions">TCMS</nuxt-link> was an application that helped organizations such as [Love INC of South Albuquerque](http://www.loveincabq.org) connect people with needs to people who can help fulfill those needs. TCMS sprung from the [Not So Extreme Makeover: Community Edition](https://nsx.archive.bitbadger.solutions "Not So Extreme Makeover: Community Edition (Archive)") in Albuquerque, New Mexico during spring break 2008; we not only developed the public presence, but a private system called <nuxt-link to="/solutions/nsx" title="NSXapp &bull; Bit Badger Solutions">NSXapp</nuxt-link> that enabled the management of the volunteers, families, and things for this massive effort.
- We continue to offer [PrayerTracker](https://prayer.bitbadger.solutions "PrayerTracker")<small> (<nuxt-link to="/solutions/prayer-tracker" title="PrayerTracker &bull; Bit Badger Solutions">about</nuxt-link>)</small>, a free-to-use web application that helps Sunday School classes (or other small groups) generate a prayer request list; it provides a central place for list management and continuity.
