---
title: Web Services Solutions
---
A web service is a way of using the Internet to provide or accept information that makes sense to computers; this allows other sites or applications to consume information from, or provide information to, your service. This enables communication between applications, without having to establish any communication channels other than the ones that web browsers already use. It isn&rsquo;t the best fit for every application, but when it is useful, it is _very_ useful.

An <abbr title="Application Programming Interface">API</abbr> can be a synonym for a web service, but it can also be a generally accessible way of providing data. For example, Twitter has a public API, which other applications can use to display tweets on their site.

- [myPrayerJournal](https://prayerjournal.me)<small> (<nuxt-link to="/solutions/my-prayer-journal" title="myPrayerJournal &bull; Bit Badger Solutions">about</nuxt-link>)</small> is a <abbr title="Single Page Application">SPA</abbr> which only downloads the structure of the site the first time you go there, then utilizes a stateless API to access data from the browser. 
- <nuxt-link to="/solutions/photography-by-michelle" title="Photography by Michelle &bull; Bit Badger Solutions">Photography by Michelle</nuxt-link> had a private web API that a desktop application utilized to create the online proof sets right from the computer where the images resided.
- We [wrote a service](https://blog.bitbadger.solutions/2010/4040-web-service.html "40/40 Web Service &bull; The Bit Badger Blog") for the 2010 [40/40 Prayer Vigil](http://erlc.com/4040/ "40/40 Prayer Vigil &bull; Ethics and Religious Liberty Commission of the Southern Baptist Convention"), which was utilized by several sites to display the current day&rsquo;s (or hour&rsquo;s) prayer focus, and [wrote one for 2012](https://blog.bitbadger.solutions/2012/4040-web-service-for-2012.html "40/40 Web Service for 2012 &bull; The Bit Badger Blog") as well. _(As the ERLC does not host these any more, this service is no longer active.)_
