---
title: "Not So Extreme Makeover: Community Edition"
url: http://notsoextreme.org
summary: Public site for the makeover; provides event-driven management of volunteers, donations, and families needing help
category: Web Sites and Applications
isInactive: true
noLink: true
linkToArchive: true
archiveUrl: https://nsx.archive.bitbadger.solutions
frontPage:
  display: false
technologies:
  - WordPress:
      for: content management
  - PHP:
      for: NSXapp
  - MySQL:
      for: WordPress data storage
  - PostgreSQL:
      for: NSXapp data storage
---
### The Client

In January 2008, a few members of [Hoffmantown Church](https://www.hoffmantownchurch.org "Hoffmantown Church &bull; Albuquerque, New Mexico") in Albuquerque, New Mexico had an idea. The ABC show _[Extreme Makeover: Home Edition](http://abc.go.com/shows/extreme-makeover-home-edition)_ had just done [a build for a pastor in the &ldquo;war zone&rdquo; area of town](http://abc.go.com/shows/extreme-makeover-home-edition/episode-detail/martinez-family/224884 "Martinez Family &bull; Extreme Makeover: Home Edition"), and this brought attention to Gerald Martinez and the work he had done to help clean up this area of town. Through [Love INC of South Albuquerque](http://www.loveincabq.org/ "Love INC of South Albuquerque"), they learned that there were many other homes in that area that could use the &ldquo;Ty Pennington touch.&rdquo; While the goal was not to knock down homes and build new ones, the goal was no less extreme. The goal of the &ldquo;Not So Extreme Makeover: Community Edition&rdquo; was to help 50 families in 5 days during spring break week in 2008.

### The Problem

An effort of this magnitude, happening this quickly, would be unmanageable without software support. It would also require a lot of paperwork, and a lot of people processing that paperwork.

### The Solution

We obtained the domain name and stood up the public website quickly using WordPress, which also allowed the coordinators to put content up. We then developed an application (NSXapp) where volunteers could sign up for &ldquo;X Week&rdquo;, with over 80 different skill, talent, and ability categories. We then created a way to identify families and their needs, and a place for people with donations to let us know what they would be. From there, we created the ability to begin matching needs with goods (stuff) and abilities (people), organizing the stuff into donated trailers and people into teams. During X Week, NSXapp generated schedules and reports that were used to help guide the teams as they executed their projects.

### The Epilogue

From an idea in January, &ldquo;Not So Extreme Makeover: Community Edition&rdquo; was able to help 57 families by the end of X Week on March 29th. When Love INC saw how NSXapp worked, they expressed an interest in a version that would allow them to handle these same areas on an ongoing basis; this became <nuxt-link to="/solutions/tcms" title="The Clearinghouse Management System (TCMS) &bull; Bit Badger Solutions">TCMS</nuxt-link>. Finally, there is a [snapshot of the NSX public site](https://nsx.archive.bitbadger.solutions) that serves as a record of those three months in 2008.
