---
title: The Bit Badger Blog
url: https://blog.bitbadger.solutions
summary: Geek stuff from Bit Badger Solutions
category: Static Sites
frontPage:
  display: true
  order: 3
  text: Technical information (&ldquo;geek stuff&rdquo;) from Bit Badger Solutions
technologies:
  - Hexo:
      for: static site generation
      isCurrent: true
  - Azure:
      for: static site hosting
      isCurrent: true
  - GitHub:
      for: source code control
      isCurrent: true
  - Custom software:
      for: content management
  - WordPress:
      for: content management
  - BlogEngine.NET:
      for: content management
  - Orchard:
      for: content management
  - myWebLog:
      for: content management
  - Jekyll:
      for: static site generation
  - MySQL:
      for: data storage
  - SQL Server:
      for: data storage
  - RethinkDB:
      for: data storage
---
### The Problem

Daniel needed a place to journal his learning journey with the Linux operating system, and thought that allowing others read this journal would help them learn as well.

### The Solution

_The Bit Badger Blog_ contains that journal, plus tech tips and information for many different aspects of technology. It is written, maintained, and hosted by Bit Badger Solutions.

<hidden-section heading="The Process">
  
  The initial posts were titled &ldquo;My Linux Adventure,&rdquo; and existed as static files that were edited to add each post. Daniel then wrote a rudimentary system that stored the posts in a database, which meant that the entire site did not need manual changes &ndash; what a breakthrough! :)

  Over time, the _Bit Badger Blog_ (and the _DJS Consulting Tech Blog_ before it) has served as a place to support _(now inactive)_ WordPress plug-ins, and go in depth on servers, databases, programming languages, and open-source software. It has also served as a useful live website for learning and experimentation with different content management systems and blogging tools. It has existed in at least 8 different tools, with links preserved as systems change.

  It is currently a statically-generated site, utilizing [Hexo](https://hexo.io), and its code is [open source](https://github.com/bit-badger/blog.bitbadger.solutions). New posts are infrequent, but the information it has is good. It may have more behind-the-scenes posts about future open-source efforts. Stay tuned!
  
</hidden-section>
